Bug 1787729 - Applied Errata report no longer works when last reboot is included
Summary: Applied Errata report no longer works when last reboot is included
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Samir Jha
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-04 19:49 UTC by Marek Hulan
Modified: 2020-04-14 13:28 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-katello-3.14.0.13-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 29042 Normal Closed Applied Errata report no longer works when last reboot is included 2020-10-19 22:08:11 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:22 UTC

Description Marek Hulan 2020-01-04 19:49:44 UTC
Description of problem:

When I render applied errata report, rendering fails with the message "Association named 'uptime_fact' was not found on Host::Managed; perhaps you misspelled it?"


Version-Release number of selected component (if applicable):

6.7

How reproducible:

100%

Steps to Reproduce:
1. render Applied Errata report
2. make sure to set Include Last Reboot to yes

Actual results:

Error printed

Expected results:

It should render the report with last reboot information

Additional info:

This is caused by the refactoring of reported data facet, we no longer use facts for uptime/last reboot information. The logic in "load_errata_applications" macro defined in Katello needs to be updated. See https://github.com/theforeman/foreman/pull/6843 for more details.

This would be a regression

Comment 4 Tomer Brisker 2020-02-18 08:42:34 UTC
Created redmine issue https://projects.theforeman.org/issues/29042 from this bug

Comment 5 Bryan Kearney 2020-02-27 19:02:36 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/29042 has been resolved.

Comment 7 Lukáš Hellebrandt 2020-03-11 13:43:16 UTC
Verified with Sat 6.7 snap 15 using reproducer from OP.

Comment 10 errata-xmlrpc 2020-04-14 13:28:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.